Subscriptions
Pause Subscription
Pauses an active subscription, allowing it to later resume or be canceled.
POST
/
subscriptions
/
{subscription_id}
/
pause
Pause Subscription
curl --request POST \
--url https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}/pause \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}/pause"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7304911d-5df9-429e-8488-ad41abea1a4c",
"name": "sub_001",
"description": "streaming service",
"account_id": "2404911d-5df9-429e-8488-ad41abea1a4b",
"merchant_reference": "001_marzo_23",
"status": "PAUSED",
"subscription_plan_id": "1904911d-5df9-429e-8488-ad41abea1a4d",
"amount": {
"currency": "USD",
"value": 12100
},
"frequency": {
"type": "MONTH",
"value": 1
},
"billing_cycles": {
"total": 10,
"current": 2,
"next_at": "2023-02-16T20:00:00.786342Z"
},
"customer_payer": {
"id": "3t04911d-5df9-429e-8488-ad41abea1a2c"
},
"payment_method": [
{
"type": "CARD",
"token": "9104911d-5df9-429e-8488-ad41abea1a4b",
"vaulted_token": "6104911d-5df9-429e-8488-ad41abea1a4b",
"card": {
"verify": false,
"card_data": {
"number": "4507990000000010",
"expiration_month": 10,
"expiration_year": 2025,
"security_code": 123,
"holder_name": "JOHN DOE"
}
}
}
],
"availability": {
"start_at": "2024-01-16T00:00:00.786342Z",
"finish_at": "2024-05-26T20:00:00.786342Z"
},
"metadata": {
"key": "sub_ext_id",
"value": "AA001"
},
"payments": [
"5104911d-5df9-229e-8468-bd41abea1a4s"
],
"created_at": "2023-12-16T20:46:54.786342Z",
"updated_at": "2023-12-16T21:00:54.786342Z"
}{
"code": "INVALID_STATE",
"messages": [
"The subscription state does not support the action requested."
]
}Calling this endpoint will change the subscription
status to PAUSED. This status can be changed to ACTIVE or CANCELED.Authorizations
Path Parameters
The unique identifier of a subscription.
Response
200
Example:
"7304911d-5df9-429e-8488-ad41abea1a4c"
Example:
"sub_001"
Example:
"streaming service"
Example:
"2404911d-5df9-429e-8488-ad41abea1a4b"
Example:
"001_marzo_23"
Example:
"PAUSED"
Example:
"1904911d-5df9-429e-8488-ad41abea1a4d"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2023-12-16T20:46:54.786342Z"
Example:
"2023-12-16T21:00:54.786342Z"
Was this page helpful?
⌘I
Pause Subscription
